Name:           ps3-utils
Version:        2.2.0
Release:        1%{?dist}
Summary:        Utilities for the PS3 Game Console

Group:          System Environment/Base
License:        GPLv2
URL:            http://www.kernel.org/pub/linux/kernel/people/geoff/cell/ps3-utils/
Source0:        ps3-utils-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf automake libtool
Obsoletes:      ps3pf_utils < 2.1-1
ExclusiveArch:  ppc ppc64

%description
The ps3-utils package is a set of utilites for system administration of
the PS3 game console.


%package libs
Group:          System Environment/Libraries
Summary:        Libraries for system administration of thethe PS3 game console

%description libs
The ps3-utils-libs package provides libraries for system administration
of the PS3 game console.


%package libs-devel
Group:          System Environment/Libraries
Summary:        Development package for ps3-utils-libs
Requires:       ps3-utils-libs = %{version}-%{release}

%description libs-devel
Development package for ps3-utils-libs, which provides libraries for
system administration of the PS3 game console.


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/ps3-video-mode
%{_sbindir}/ps3-boot-game-os
%{_sbindir}/ps3-dump-bootloader
%{_sbindir}/ps3-flash-util
%{_sbindir}/ps3-rtc-init
%{_mandir}/man8/ps3-boot-game-os.8.gz
%{_mandir}/man8/ps3-dump-bootloader.8.gz
%{_mandir}/man8/ps3-flash-util.8.gz
%{_mandir}/man8/ps3-rtc-init.8.gz
%{_mandir}/man8/ps3-utils.8.gz
%{_mandir}/man8/ps3-video-mode.8.gz
%doc COPYING

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%files libs
%{_libdir}/libps3-utils.so.2.0.0
%{_libdir}/libps3-utils.so.2
%doc COPYING

%files libs-devel
%{_includedir}/ps3-av.h
%{_includedir}/ps3-flash.h
%{_libdir}/libps3-utils.so
%doc COPYING

%changelog
* Sun Jan 27 2008 Geoff Levand <geoffrey.levand@am.sony.com>
- update to ps3-utils-2.2.0

* Thu Sep 7 2006 Sony Corporation
- update

* Thu Jul 27 2006 Sony Corporation
- update

* Fri Jun 9 2006 Sony Corporation
- initial build
